Download it now!
Bug 54621 - EDITING: CRASH in .ods documents with lots of (conditional) formatting
Summary: EDITING: CRASH in .ods documents with lots of (conditional) formatting
Status: RESOLVED DUPLICATE of bug 54498
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 54719 (view as bug list)
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-09-07 05:44 UTC by Rainer Bielefeld Retired
Modified: 2012-10-27 16:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (161.12 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2012-09-10 08:53 UTC, Rainer Bielefeld Retired
Details
bt + console logs on master (68.86 KB, text/plain)
2012-09-10 20:51 UTC, Julien Nabet
Details
simple file with only 2 conditions (9.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-09-15 09:55 UTC, Michel Rudelle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-09-07 05:44:47 UTC
My  "LibreOffice 3.6.1.2  German UI/ German Locale [Build-ID:  e29a214] on German WIN7 Home Premium (64bit) crashes every few minutes when I am working in documents with much (conditional) formatting. Unfortunately until now I did not manage to make this reproducible, and the confidential documents are connected to many others on may PC and seem to loose the vulnerability when I remove links and confidential contents.

currently 3.6 CALC is completely unusable for me because of this issue.
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120715 Firefox/14.0.1 SeaMonkey/2.11
Comment 1 Julien Nabet 2012-09-07 22:27:39 UTC
Markus: Any idea here? Are your fixes in master about conditional formating be all backported in 3.6 branch and so perhaps 3.6.2 version may help here when released?
Comment 2 Markus Mohrhard 2012-09-08 01:53:23 UTC
most of patches are backported and all that fixes crashes.

I can't fix bugs with such a vague description. Without either a test document showing the behavior or a detailed instruction this bug report is useless for me.
Comment 3 Julien Nabet 2012-09-08 08:06:16 UTC
Sorry Markus, I thought there were still some fixes to backport.

Now,let's hope here that Rainer will find a way to remove confidential part without removing the crash beheviour.
Comment 4 Rainer Bielefeld Retired 2012-09-10 08:53:14 UTC
Created attachment 66906 [details]
Sample Document

In between I found a way to make the problem reproducible with a particular document.

Additionally I found out that the problem might be user profile related. At least the problem disappears when I rename the old profile folder "3" so that a new one will be created.

For me with reproducible with  "LibreOffice 3.6.1.2  German UI/ German Locale [Build-ID:  e29a214] on German WIN7 Home Premium (64bit) more or less 100%

Please ask for my user profile if required, I will send it by mail

0. Unzip WIN user profile to appropriate folder, if necessary
1. open document from LibO Start Center file menu
2. Menu 'Data -> Filter -> Special Filter'
3. Select Filter "HeuteGestern" and apply
   > you should only see 15 rows or so
4. Save as "sample_30_____.ods"
6. Click Row Heading "23" to select all row 23
7. Menu 'Edit -> Delete -> Cells'
   Crash

Please do the steps quickly, but without hurry, and without switching ot other applications or similar (might be superstition, but I did lots of lots of very similar attempts to make the problem reproducible without any success.

I laso see the problem with LibO 3.5.6.2, so that currently I am forced to use AOOo 3.4.1 (where a special filter incompatibility causes problems).
Comment 5 Rainer Bielefeld Retired 2012-09-10 09:29:48 UTC
Only renaming "Bundled" "Extensions" subfolder does not heal the problem
Comment 6 Julien Nabet 2012-09-10 20:51:20 UTC
Created attachment 66945 [details]
bt + console logs on master

On pc Debian x86-64 with master sources updated today (+ brand new LO profile), I gave it a try and had some crash when closing without saving the last file (those with only about 15 lines).
Noticed too a lot of warnings during the opening of the original file.

Rainer: No pb to run the test again with your LO profile. So you may send it to me if you want. I'll be able to test only tomorrow night (I live on UTC+2 area).
Comment 7 Markus Mohrhard 2012-09-10 21:15:45 UTC
*** Bug 54719 has been marked as a duplicate of this bug. ***
Comment 8 Markus Mohrhard 2012-09-10 21:21:56 UTC
Ok, the problem is ScRangeList which is a ref counted class with an annoying copy behavior + ScDeleteObjectByPtr.

The solution is to make ScRangeList a non ref counted class, copy c'tor and operator= cloning the members and not copying pointers + removing ScRangeListRef.
Comment 9 Michel Rudelle 2012-09-11 06:55:39 UTC
I confirm this bug with 3.6.1.2 under Vista and 7, even with a new profile.
On simple files, I have no crash, but I lose a part of conditional formatting
This behavior forbids me the use of Calc.
Comment 10 Jean-Baptiste Faure 2012-09-11 07:39:02 UTC
(In reply to comment #8)
> Ok, the problem is ScRangeList which is a ref counted class with an annoying
> copy behavior + ScDeleteObjectByPtr.
> 
> The solution is to make ScRangeList a non ref counted class, copy c'tor and
> operator= cloning the members and not copying pointers + removing
> ScRangeListRef.

Happy to see you found the root cause of the problem :-)
Do you expect to have a fix for 3.6.2 ?

Best regards. JBF
Comment 11 Michel Rudelle 2012-09-15 09:55:17 UTC
Created attachment 67199 [details]
simple file with only 2 conditions

A single condition is enough for observing the issue (open the attached file and delete row 4).
The disappearance of all or any of the conditions exists when there is crash, but with a simple file only the loss of conditions is observed.
Comment 12 Michel Rudelle 2012-09-15 10:02:14 UTC
(In reply to comment #11)
Sorry, read: simple file with only 1 condition
At the last moment, I simplified at most...
Comment 13 Julien Nabet 2012-09-15 11:14:18 UTC
On pc Debian x86-64 with master sources updated today, I reproduced the behaviour described on comment11.

I noticed this same log 6 times:
warn:legacy.osl:5808:1:/home/julien/compile-libreoffice/libo/sc/source/core/data/conditio.cxx:1604: ScConditionalFormatList: Eintrag nicht gefunden

(brand new LO profile used for the test)
Comment 14 Markus Mohrhard 2012-09-15 11:20:04 UTC
We are already working on a fix for this one for some time. There are some strange bugs happening around ScRangeList right now and we are trying to understand them.

This will make it hopefully into 3.6.2.
Comment 15 Markus Mohrhard 2012-09-15 11:22:32 UTC
(In reply to comment #13)
> On pc Debian x86-64 with master sources updated today, I reproduced the
> behaviour described on comment11.
> 
> I noticed this same log 6 times:
> warn:legacy.osl:5808:1:/home/julien/compile-libreoffice/libo/sc/source/core/data/conditio.cxx:1604:
> ScConditionalFormatList: Eintrag nicht gefunden
> 
> (brand new LO profile used for the test)

This is another non serious problem. It just means that cell attribute storage and cond formats are not in sync. This will not result in a crash, it means just that I have a place where I forgot to update the cell storage when modifiying cond formats.
Comment 16 Markus Mohrhard 2012-09-16 21:34:36 UTC

*** This bug has been marked as a duplicate of bug 54498 ***
Comment 17 Romano Giannetti 2012-10-27 16:27:20 UTC
I know this is closed. But I have a gut feeling that fixing this bug could have opened https://bugs.freedesktop.org/show_bug.cgi?id=56462...